| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
Gaudi::Hive Namespace Reference

## Classes
class | ContextSpecificData
| Implementation of a context specific storage accessible as a sort of smart reference class. More...
class | ContextSpecificPtr
| Simple implementation of a smart pointer with different values for different event contexts (slots). More...

## Typedefs
typedef std::size_t | ContextIdType
| Internal type used for the ContextId. More...

## Functions
GAUDI_API ContextIdType | currentContextId ()
| Return the current context id. More...
GAUDI_API ContextIdType | currentContextEvt ()
GAUDI_API EventContext | currentContext ()
GAUDI_API void | setCurrentContextId (ContextIdType newId)
| Used by the framework to change the value of the current context id. More...
GAUDI_API void | setCurrentContextEvt (long int evtN)
GAUDI_API void | setCurrentContextId (ContextIdType newId, long int evtN)
GAUDI_API void | setCurrentContextId (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext *ctx)
GAUDI_API void | setCurrentContext (const EventContext &ctx)

## Typedef Documentation

typedef std::size_t Gaudi::Hive::ContextIdType

Internal type used for the ContextId.

Definition at line 13 of file ThreadLocalContext.h.

## Function Documentation

EventContext Gaudi::Hive::currentContext | ( |  | ) |

Definition at line 14 of file ThreadLocalContext.cpp.

14 {
15 return s_curCtx;
16 }

ContextIdType Gaudi::Hive::currentContextEvt | ( |  | ) |

Definition at line 11 of file ThreadLocalContext.cpp.

11 {
12 return s_curCtx.evt();
13 }
EventContext::evt
ContextEvt_t evt() const
Definition: EventContext.h:40

ContextIdType Gaudi::Hive::currentContextId | ( |  | ) |

Return the current context id.

The returned id is valid only within the (sys)Execute method of algorithms.

Definition at line 8 of file ThreadLocalContext.cpp.

8 {
9 return s_curCtx.slot();
10 }
EventContext::slot
ContextID_t slot() const
Definition: EventContext.h:41

void Gaudi::Hive::setCurrentContext | ( | const EventContext * | ctx | ) |

Definition at line 35 of file ThreadLocalContext.cpp.

35 {
36 s_curCtx = *ctx;
37 }

void Gaudi::Hive::setCurrentContext | ( | const EventContext & | ctx | ) |

Definition at line 39 of file ThreadLocalContext.cpp.

39 {
40 s_curCtx = ctx;
41 }

void Gaudi::Hive::setCurrentContextEvt | ( | long int | evtN | ) |

Definition at line 18 of file ThreadLocalContext.cpp.

18 {
19 s_curCtx.setEvt(evtN);
20 }
EventContext::setEvt
void setEvt(const ContextEvt_t &e)
Definition: EventContext.h:55

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId | ) |

Used by the framework to change the value of the current context id.

Definition at line 21 of file ThreadLocalContext.cpp.

21 {
22 s_curCtx.setSlot(newId);
23 }
EventContext::setSlot
void setSlot(const ContextID_t &s)
Definition: EventContext.h:60

void Gaudi::Hive::setCurrentContextId | ( | ContextIdType | newId,
|  | long int | evtN
| ) |  |

Definition at line 26 of file ThreadLocalContext.cpp.

26 {
27 s_curCtx.set(evtN,newId);
28 }
EventContext::set
void set(const ContextEvt_t &e=0, const ContextID_t &s=INVALID_CONTEXT_ID, const bool f=false)
Definition: EventContext.h:47

void Gaudi::Hive::setCurrentContextId | ( | const EventContext * | ctx | ) |

Definition at line 31 of file ThreadLocalContext.cpp.

31 {
32 s_curCtx = *ctx;
33 }